/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */

body {
  background-color: white;
  color: black;
  font-family: Verdana;
  text-shadow: 1px 1px 2px black;
}

video-background-container {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
}

.video-bg {
    position: fixed;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    transform: translate(-50%, -50%);
    z-index: -1;
    object-fit: cover;
}

.layout {
    display: grid;
    grid-template-columns: 192px 1fr;
    min-height: 100vh;
}

.sidebar {
  background: rgba(0, 0, 0, 0.2);
  border-radius: 16px;
  box-shadow: 0 20px 40px rgba(0,0,0,0.4);
  backdrop-filter: blur(6px);
  -webkit-backdrop-filter: blur(6px);
  color: #fff;
  text-align: center;
  width: min(192px,40vw);
  padding: 2rem;
  height: auto;
}

.content {
    background: rgba(0, 0, 0, 0.2);
    border-radius: 16px;
    box-shadow: 0 20px 40px rgba(0,0,0,0.4);
    backdrop-filter: blur(6px);
    -webkit-backdrop-filter: blur(6px);

    color: #fff;
    text-align: center;

    padding: 2rem;
    margin: 4rem auto;
    
    margin-left: 10vw;
    margin-right: 10vw;
}

.bb_link_host {
    color: rgba(255,255,255,0.5);
    font-size: 10px;
}

p {
    font-size: 16px;
}
p.small {
    font-size: 10px;
}

a {
    color: white;
    font-weight: bold;
    display: inline-block;
    transition: transform 0.2s ease, color 0.2s ease;
}
a:hover {
  transform: scale(1.08);
}

#feed .loading {
    font-size: 12px;
}

#feed a.title {
    font-size: 24px;
}

#feed ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

#feed li {
    margin-bottom: 10px;
}
